Delete segmentation rule
curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/segmentationRules/{segRuleUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/segmentationRules/{segRuleUid}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/segmentationRules/{segRuleUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Segmentation Rules
Delete segmentation rule
Deletes a segmentation rule and clears its references from converter import settings. Requires an internal role (ADMIN or PROJECT_MANAGER) with the setupServer access right.
DELETE
/
api2
/
v1
/
segmentationRules
/
{segRuleUid}
Delete segmentation rule
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the segmentation rule
Response
No Content
Was this page helpful?
⌘I